commit:     f56e082cc2c2960031a34bb45c801ad23465bab8
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 20 01:34:55 2017 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Nov 20 01:47:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f56e082c

sys-apps/portage: fix -r1 htmldir (bug 638046)

Closes: https://bugs.gentoo.org/638046
Package-Manager: Portage-2.3.14, Repoman-2.3.6

 sys-apps/portage/portage-2.3.13-r1.ebuild | 14 ++++++++++++--
 sys-apps/portage/portage-2.3.14.ebuild    | 14 ++++++++++++--
 sys-apps/portage/portage-9999.ebuild      | 10 ++++++++--
 3 files changed, 32 insertions(+), 6 deletions(-)

diff --git a/sys-apps/portage/portage-2.3.13-r1.ebuild 
b/sys-apps/portage/portage-2.3.13-r1.ebuild
index b4ff41814d5..9cd00377973 100644
--- a/sys-apps/portage/portage-2.3.13-r1.ebuild
+++ b/sys-apps/portage/portage-2.3.13-r1.ebuild
@@ -87,6 +87,10 @@ pkg_setup() {
 python_prepare_all() {
        distutils-r1_python_prepare_all
 
+       sed -e "s|user_options = install_data.user_options$|\0 + [\n\
+               ('htmldir=', None, 'HTML documentation install directory')]|" 
-i \
+               setup.py || die #638046
+
        if use native-extensions; then
                printf "[build_ext]\nportage-ext-modules=true\n" >> \
                        setup.cfg || die
@@ -189,8 +193,14 @@ python_install_all() {
        distutils-r1_python_install_all
 
        local targets=()
-       use doc && targets+=( install_docbook )
-       use epydoc && targets+=( install_epydoc )
+       use doc && targets+=(
+               install_docbook
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
+       use epydoc && targets+=(
+               install_epydoc
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
 
        # install docs
        if [[ ${targets[@]} ]]; then

diff --git a/sys-apps/portage/portage-2.3.14.ebuild 
b/sys-apps/portage/portage-2.3.14.ebuild
index 7ee7d2c75f3..e0d4b1ef1b3 100644
--- a/sys-apps/portage/portage-2.3.14.ebuild
+++ b/sys-apps/portage/portage-2.3.14.ebuild
@@ -87,6 +87,10 @@ pkg_setup() {
 python_prepare_all() {
        distutils-r1_python_prepare_all
 
+       sed -e "s|user_options = install_data.user_options$|\0 + [\n\
+               ('htmldir=', None, 'HTML documentation install directory')]|" 
-i \
+               setup.py || die #638046
+
        if use native-extensions; then
                printf "[build_ext]\nportage-ext-modules=true\n" >> \
                        setup.cfg || die
@@ -189,8 +193,14 @@ python_install_all() {
        distutils-r1_python_install_all
 
        local targets=()
-       use doc && targets+=( install_docbook )
-       use epydoc && targets+=( install_epydoc )
+       use doc && targets+=(
+               install_docbook
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
+       use epydoc && targets+=(
+               install_epydoc
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
 
        # install docs
        if [[ ${targets[@]} ]]; then

diff --git a/sys-apps/portage/portage-9999.ebuild 
b/sys-apps/portage/portage-9999.ebuild
index c7453d27b01..adb4f2b5bde 100644
--- a/sys-apps/portage/portage-9999.ebuild
+++ b/sys-apps/portage/portage-9999.ebuild
@@ -188,8 +188,14 @@ python_install_all() {
        distutils-r1_python_install_all
 
        local targets=()
-       use doc && targets+=( install_docbook )
-       use epydoc && targets+=( install_epydoc )
+       use doc && targets+=(
+               install_docbook
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
+       use epydoc && targets+=(
+               install_epydoc
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
 
        # install docs
        if [[ ${targets[@]} ]]; then

Reply via email to